extends ../../common-templates/layout

block content
  h1 Forget Me So

  if users.length === 0
    div There are no users
  else
    table.table
      thead
        tr
          th ID
          th Name
          th Email
          th Registered Date
          th &nbsp;
      tbody
        each user in users
          tr
            td= user.userId
            td= user.name || '(No name yet)'
            td= user.email
            td= user.registeredDate
            td
              if user.forgotten
                span.badge.badge-info Forgotten
              else
                form(action="/forget" method="POST")
                  input(name="id" type="hidden" value=user.userId)
                  button(type="submit") Forget!
